<?php

namespace App\Contracts\Communications;

use App\Enum\Contact\MessageChannel;

interface CommunicationSender
{
    public function id(): int;

    public function label(): string;

    public function value(): string;

    public function channel(): MessageChannel;

    public function replyTo(): ?string;

    public function signatureHtml(): ?string;

    public function signatureText(): ?string;

    public function providerConfig(): array;
}
